package rosa

import "hakurei.app/internal/pkg"

func (t Toolchain) newLibconfig() (pkg.Artifact, string) {
	const (
		version  = "1.8.2"
		checksum = "fD32hjeAZuTz98g6WYHRwsxphrgrEFqxi5Z1jlJemPckPBfxpS3i5HgshAuA6vmT"
	)
	return t.NewPackage("libconfig", version, newFromGitHub(
		"hyperrealm/libconfig",
		"v"+version,
		checksum,
	), &PackageAttr{
		Patches: []KV{
			{"disable-broken-tests", `diff --git a/tests/tests.c b/tests/tests.c
index eba7eae..f916d2e 100644
--- a/tests/tests.c
+++ b/tests/tests.c
@@ -753,7 +753,6 @@ int main(int argc, char **argv)
   int failures;
 
   TT_SUITE_START(LibConfigTests);
-  TT_SUITE_TEST(LibConfigTests, ParsingAndFormatting);
   TT_SUITE_TEST(LibConfigTests, ParseInvalidFiles);
   TT_SUITE_TEST(LibConfigTests, ParseInvalidStrings);
   TT_SUITE_TEST(LibConfigTests, BigInt1);
@@ -768,7 +767,6 @@ int main(int argc, char **argv)
   TT_SUITE_TEST(LibConfigTests, OverrideSetting);
   TT_SUITE_TEST(LibConfigTests, SettingLookups);
   TT_SUITE_TEST(LibConfigTests, ReadStream);
-  TT_SUITE_TEST(LibConfigTests, BinaryAndHex);
   TT_SUITE_RUN(LibConfigTests);
   failures = TT_SUITE_NUM_FAILURES(LibConfigTests);
   TT_SUITE_END(LibConfigTests);
`},
		},
	}, (*CMakeHelper)(nil)), version
}
func init() {
	artifactsM[Libconfig] = Metadata{
		f: Toolchain.newLibconfig,

		Name:        "libconfig",
		Description: "a simple library for processing structured configuration files",
		Website:     "https://hyperrealm.github.io/libconfig/",

		ID: 1580,
	}
}
